#
# spec file for package gphotofs
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gphotofs
BuildRequires:  fuse3-devel
BuildRequires:  glib2-devel
BuildRequires:  libgphoto2-devel
BuildRequires:  libjpeg-devel
Requires:       fuse3
URL:            http://gphoto.sourceforge.net
%define prefix /usr
Summary:        User Level File System for gphoto-Based Cameras
License:        GPL-2.0-or-later
Group:          Hardware/Camera
Version:        1.0
Release:        1.1
Source0:        https://github.com/gphoto/gphotofs/releases/download/v1.0/gphotofs-%{version}.tar.bz2
Source1:        https://github.com/gphoto/gphotofs/releases/download/v1.0/gphotofs-%{version}.tar.bz2.asc
Source2:        gphotofs.keyring
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package provides a fuse module to make digital cameras supported
by libgphoto2 visible as a file system.



Authors:
--------
    Scott Fritzinger <scottf@scs.unr.edu>
    Lutz Müller <lutz@users.sourceforge.net>

    Eugene Crosser <crosser@average.org>
    Matt Martin <matt.martin@ieee.org>
    Gary Ross <gdr@hooked.net>
    M. Adam Kendall <joker@penguinpub.com>
    Del Simmons <del@gphoto.org>
    Bob Paauwe <bpaauwe@bobsplace.com>
    Cliff Wright <cliff@snipe444.org>
    Phill Hugo <phill@gphoto.org>
    Beat Christen <spiff@longstreet.ch>
    Warren Baird <wjbaird@bigfoot.com>
    Brent D. Metz <bmetz@vt.edu>
    Brian Hirt <bhirt@loopy.berkhirt.com>
    Mandrake <mandrake@lobotomy.com>
    Randy D. Scott <scottr@wwa.com>
    Paul S. Jenner <psj@mustec.eu.org>
    Tuomas Kuosmanen <tigert@gimp.org>
    Ole Aamot <oleaa@ifi.uio.no>
    Mariusz Zynel <mariusz@mizar.org>
    Johannes Erdfelt <johannes@erdfelt.com>
    Werner Almesberger <almesber@lrc.di.epfl.ch>
    Ole W. Saastad <o.w.saastad@kjemi.uio.no>
    Veros Kaplan <xkaplan@informatics.muni.cz>
    Wolfgang Reissnegger
    Philippe Marzouk <philm@users.sourceforge.net>
    Edouard Lafargue <lafargue@oslo.geco-prakla.slb.com>
    Bart van Leeuwen <bart@netage.nl>
    M. Adam Kendall <joker@penguinpub.com>
    Mark Davies <mdavies@dial.pipex.com>
    Beat Christen <spiff@longstreet.ch>
    Gus Hartmann <hartmann@madison-expat.net>
    Raymond Penners <raymond@dotsphinx.com>
    Marcus Meissner <marcus@jet.franken.de>
    Hans Ulrich Niedermann <hun@users.sourceforge.net>
    Colin Marquardt <cmarqu@users.sourceforge.net>

%prep
%setup -q

%build
%configure
make

%install
make DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir} install

%files
%defattr(-,root,root)
%license COPYING
%doc AUTHORS NEWS README
/usr/bin/gphotofs

%changelog
* Fri May  2 2025 Marcus Meissner <meissner@suse.com>
- updated to 1.0 upstream release
  - ported to fuse3
  - do not check events in read (slows it down too much)
  - use the random read function if present to avoid using too much memory
  - refresh directories on file/folder addition
  - Updates live when you do add or remove files on the device/camera.
  - Fixed removal protection permissions.
* Thu Sep 13 2012 meissner@suse.com
- updated to 0.5.0 upstream release
  - adpated to libgphoto2 2.5.0
* Mon Jun 27 2011 ke@suse.de
- Install AUTHORS COPYING NEWS README
* Fri Oct 31 2008 meissner@suse.de
- fixed implicit get*id and a typo in return handling bnc#439324
* Fri Aug 10 2007 bk@suse.de
- Add "Requires: fuse" to ensure that fuse is present (285101#c29)
* Mon Jul 30 2007 meissner@suse.de
- sync to upstream 0.4.0
  - ported code to work with fuse 2.5 too.
  - some small bugfixes
* Mon Jan 15 2007 meissner@suse.de
- upgraded to current trunk.
  - write support, mkdir, rmdir added
* Sun Oct 22 2006 meissner@suse.de
- buildrequires libgphoto2-devel
* Mon Sep  4 2006 meissner@suse.de
- upstream 0.3:
  - Command line options to select a specific camera, like gphoto2.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan  9 2006 meissner@suse.de
- initial gphotofs import.
